# Copyright (C) 2019 VMware, Inc. All rights reserved.
# -- VMware Confidential

import sha.config
from sha.core.accesscontrol import RestrictedModuleLoader

__logger = sha.config.get_logger(__name__)


class Runtime:

    def __init__(self, metrics_and_profile, cond, action, global_namespace):
        self._logger = sha.config.get_logger(__name__)
        self.global_namespace = global_namespace
        self.local_namespace = {
            'metrics_and_profile': metrics_and_profile,
            'cond': cond,
            'action': action,
        }
